Bug 98113 - INSERT: SVG transform doesn't work for anchor elements
Summary: INSERT: SVG transform doesn't work for anchor elements
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
5.0.4.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:5.2.0
Keywords: filter:svgInsert
Depends on:
Blocks:
 
Reported: 2016-02-23 15:29 UTC by Xisco Faulí
Modified: 2016-10-25 19:08 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (5.61 KB, image/svg+xml)
2016-02-23 15:29 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2016-02-23 15:29:47 UTC
Created attachment 122910 [details]
sample

Steps:
1. Open attached file

Reproduced in 

Version: 5.0.4.2
Build ID: 2b9802c1994aa0b7dc6079e128979269cf95bc78
Locale: es-ES (es_ES)

Version: 5.2.0.0.alpha0+
Build ID: 003d0ccf902d2449320dd24119564565a384f365
CPU Threads: 4; OS Version: Windows 6.1; UI Render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2016-02-23_00:56:18
Locale: es-ES (es_ES)
Comment 1 Commit Notification 2016-03-03 08:52:49 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57de81580dc3a9c53c43871150109181da1bb646

tdf#98113: SVGIO: Add SvgANode class to handle transport ...

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.